<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Header extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $subtitle = null;
    


    protected $hasMediaAttachment = null;
    protected $media;

    
















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getSubtitle()
    {
        return isset($this->subtitle) ? $this->subtitle : '';
    }

    public function hasSubtitle()
    {
        return isset($this->subtitle);
    }

    public function clearSubtitle()
    {
        unset($this->subtitle);
    }

    




    public function setSubtitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->subtitle = $var;

        return $this;
    }

    



    public function getHasMediaAttachment()
    {
        return isset($this->hasMediaAttachment) ? $this->hasMediaAttachment : false;
    }

    public function hasHasMediaAttachment()
    {
        return isset($this->hasMediaAttachment);
    }

    public function clearHasMediaAttachment()
    {
        unset($this->hasMediaAttachment);
    }

    




    public function setHasMediaAttachment($var)
    {
        GPBUtil::checkBool($var);
        $this->hasMediaAttachment = $var;

        return $this;
    }

    



    public function getDocumentMessage()
    {
        return $this->readOneof(3);
    }

    public function hasDocumentMessage()
    {
        return $this->hasOneof(3);
    }

    




    public function setDocumentMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\DocumentMessage::class);
        $this->writeOneof(3, $var);

        return $this;
    }

    



    public function getImageMessage()
    {
        return $this->readOneof(4);
    }

    public function hasImageMessage()
    {
        return $this->hasOneof(4);
    }

    




    public function setImageMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ImageMessage::class);
        $this->writeOneof(4, $var);

        return $this;
    }

    



    public function getJpegThumbnail()
    {
        return $this->readOneof(6);
    }

    public function hasJpegThumbnail()
    {
        return $this->hasOneof(6);
    }

    




    public function setJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->writeOneof(6, $var);

        return $this;
    }

    



    public function getVideoMessage()
    {
        return $this->readOneof(7);
    }

    public function hasVideoMessage()
    {
        return $this->hasOneof(7);
    }

    




    public function setVideoMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\VideoMessage::class);
        $this->writeOneof(7, $var);

        return $this;
    }

    



    public function getLocationMessage()
    {
        return $this->readOneof(8);
    }

    public function hasLocationMessage()
    {
        return $this->hasOneof(8);
    }

    




    public function setLocationMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\LocationMessage::class);
        $this->writeOneof(8, $var);

        return $this;
    }

    



    public function getProductMessage()
    {
        return $this->readOneof(9);
    }

    public function hasProductMessage()
    {
        return $this->hasOneof(9);
    }

    




    public function setProductMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ProductMessage::class);
        $this->writeOneof(9, $var);

        return $this;
    }

    


    public function getMedia()
    {
        return $this->whichOneof("media");
    }

}

